Çizim Paylaş

Bülten Aboneliği
*  E-posta adresiniz:



* Güvenlik kodu:
> 1 <
İleti Yazar
29.12.2010 17:32
61697      
Antibiyotik

[1] Yeni üye

Online Durumu

4 ileti
jeoloji müh.
manisa

Arkadaşlar merhaba,
Autocad ile harita sayısallaştırmak istiyorum. Yani elimde bir harita var. 4 köşesinin de gps koordinatlarını biliyorum. Bunu uygun projeksiyona ( UTM ED 50) oturtmak ve köşe koordinatlarını girmek istiyorum. Yani haritanın üzerinde her hangi bir yere geldiğimde koordinatı drawing coordinates kısmında gözüksün istiyorum.
Bunun için öncelikle insert > Raster image reference yolu ile ya da image komutu ile haritanın resmini attach ediyorum.Daha sonra harita seçili iken move komutunu uyguluyorum ve koordinatını bildiğim bir köşeyi tıklayıp o koordinatı giriyorum (526192/4279059 gibi). Bu işlemi yapınca harita ekrandan gidiyor ve sırasıyla z enter e enter yapıyorum.Harita ekrana geliyor. Yani zoom ayarlarını yapıyorum. Ancak gelen haritanın koordinatları move komutu ile tanımladığım koordinat ile uyuşmuyor. Ben sol üst köşe noktası olarak 526192/4279059 koordinatını atıyorum ancak harita gelince o noktanın koordinatı 528615/4280048 oluyor.Sol alt köşenin koordinatı da 543438/4279059 olması gerekirken 528615/4280043 oluyor. Yani bir türlü projeksiyona oturtamadım.Bundan sonra sanırım scale ve rotate komutu ile bir şeyler yapmak gerekecek ancak ne olduğunu bilmiyorum.
Yardımcı olursanız çok sevinirim.
Kolay gelsin...

Jeoloji Müh.

29.12.2010 18:49
61704      
ProhibiT

[80] Yetkili

Online Durumu

1471 ileti
İnşaat Mühendisi
Ankara

Haritanızı Raster Image olarak AutoCAD'e aldıktan sonra;

- Haritanız üzerinde Koordinatı belli 2 nokta belirleyin

- Belirlenen 2 nokta koordinatlarını değerlerini kullanarak bir Line çizin
(AutoCAD komut satırından: LINE<┘X1,Y1<┘X2,Y2<┘)
Büyük ihtimalle bu aşamada Zoom Extents uygulamanız gerekecek...

- Gene komut satırından
Align<┘(Raster Image objenizi seçin)<┘
Specify first source point: (Harita üzerindeki 1. noktayı seçin)
Specify first destination point: (Çizilen çizgi üzerindeki 1 noktayı seçin)
Specify second source point: (Harita üzerindeki 2. noktayı seçin)
Specify second destination point: (Çizginin diğer uç noktasını seçin)
Specify third source point or <continue>:<┘
Scale objects based on alignment points? [Yes/No] <N>: Y<┘

girdiğinizde haritanız hem mutlak koordinatlara move edilecek hem de, gerçek değerine scale edilecektir.

Kolay gelsin.

Where there is a will, there is a way... Beğenmek için anlamak lazım...

29.12.2010 21:35
61706      
Antibiyotik

[1] Yeni üye

Online Durumu

4 ileti
jeoloji müh.
manisa

Harita üzerinde iki nokta belirleyin derken o kısmı anlamadım.point komutu ile mi iki nokta belirleyeceğim? Nasıl yapacağım?

Jeoloji Müh.

30.12.2010 10:21
61717      
ProhibiT

[80] Yetkili

Online Durumu

1471 ileti
İnşaat Mühendisi
Ankara

Özellikle; "- Belirlenen 2 nokta koordinatlarını değerlerini kullanarak bir Line çizin" ifadesini kullanmıştım.

Haritanızın 4 köşe koordinatlarının belli olduğunu yazmıştınız, Örnek olarak Sol-Alt ve Sağ-Üst köşeleri seçelim.
Gene örnek olarak; Sol-Alt köşe 526192/4279059, Sağ-Üst köşe 526300/4279250 olsun...
AutoCAD komut satırından: Line<-526192,4279059<-526300,4279250<-<- girerek çizgimizi çiziyoruz.

Daha sonra bahsettiğim şekilde ALIGN işlemini uyguluyoruz.

Kolay gelsin.

Where there is a will, there is a way... Beğenmek için anlamak lazım...

30.12.2010 17:35
61731      
Antibiyotik

[1] Yeni üye

Online Durumu

4 ileti
jeoloji müh.
manisa

Acemi olduğum için sürekli soruyorum kusura bakmayın. Ancak bir türlü yapamadım. Raster image i açıyorum. Dediğiniz gibi Line komutu ile sol üst köşe ve sağ alt köşenin koordinatlarını giriyorum sonra iki kere enterlıyorum harita ekrandan gidiyor. Çizgi de gözükmüyor. Bundan sonra z ye basıyorum ve e ye basıyorum extends ediyorum. Sadece çizgi gözüküyor. Harita ekranda olmuyor. Burada takıldım. Daha align kısmına geçemedim. Ayrıca projeksiyonu nasıl belirleyeceğim koordinatlara oturtmak için. UTM ED 50 projeksiyonuna oturtmam lazım ki gps verileri tam çıkabilsin.

Jeoloji Müh.

01.01.2011 17:37
61767      
ProhibiT

[80] Yetkili

Online Durumu

1471 ileti
İnşaat Mühendisi
Ankara

Kod:

(defun MapALign ()
  (setq Map (car (entsel "\nGerçek koordinatlarına getirilecek harita objenizi seçiniz..."))
        p1 (getpoint "\nBirinci Köşeyi Harita üzerinde tıklayarak seçiniz...")
        x1 (getreal "\n  Birinci Köşe X koordinat değeri: ")
        y1 (getreal "\n    Birinci Köşe Y koordinat değeri: ")
        p2 (getpoint "\İkinci Köşeyi harita üzerine tıklayarak seçiniz...")
        x2 (getreal "\n  İkinci Köşe X koordinat değeri: ")
        y2 (getreal "\n    İkinci Köşe Y koordinat değeri: ")
        p1 (list (car p1) (cadr p1)) p2 (list (car p2) (cadr p2))
        n1 (list x1 y1) n2  (list x2 y2) scl (/ (distance n1 n2) (distance p1 p2)))
  (command "_.move" Map "" p1 n1) (command "_.scale" Map "" n1 scL) (command "_.zoom" "Object" Map "")
)
(MapALign)
Burada verdiğim kodu (eksik fazla olmadan) kopyalayıp AutoCAD komut satırına paste edin. Sorulan sorulara dikkatli ve uygun karşılıklar girin... Kolay gelsin.

Where there is a will, there is a way... Beğenmek için anlamak lazım...

02.05.2012 12:04
68692      
bitzer

[2] Girişimci

Online Durumu

3 ileti
jeofizik müh.
ankara

ProhibiT paylaşımın için çok teşekkür ederim çok işime yardı. Bu kodlar aracılığı ile 2 nokta ile sayısallaştırma yapılıyor fakat benim için en az 4 nokta lazım bu algın komutuyla formlardan okuduğum kadarıyla biraz birşeyler öğrendim ama bir türlü olmuyor.. izlediğim yolu yazayım acaba hatam nerde yardımcı olursan çok sevinirim.

autocad i açtıktan sonra
ınsert --> External reference --> attach ımage dıyerekter ımage ı atıyorum
daha sonrasında alıgın komutuyla


Specify first source point: 459000,4367000
Specify second source point: 459000,4367000
Specify third source point or <continue>:<┘
Scale objects based on alignment points? [Yes/No] <N>: Y<┘

dıyorum ve aynı islemi tekaralıyorum en az 4 noktam olsun dıye
fakat ımage ı sayısallastırma yerıne farklı yerlere atıyor ve uzerınde mause la gezındıgımde koordınatlar çok farklı oluyor acaba nerede yanlışım var bir türlü çözemedim bu konuda bana yardımcı olursan çok sevinirim...

02.05.2012 16:42
68695      
ProhibiT

[80] Yetkili

Online Durumu

1471 ileti
İnşaat Mühendisi
Ankara

Probleminiz şimdi anlaşıldı
Drawing dosyanıza Attach ettiğiniz Raster Image'in en-boy oranı (aspect Ratio) bozuk.
Aslında AutoCAD komutlarıyla Raster İmage'i edit ederek yapmak mümkün.
Aspect Ratio'yu düzelttikten sonra Move etmek yeterli.
Öyle 4 noktaya da gerek yok, 2 nokta ile her şey çözülür.
Bununla birlikte, pek çok arkadaşımızın işine yarayacağını düşünerek bir fonksiyon yazacağım.
Şu an biraz yoğunum, akşama yazıp paylaşmış olurum.
Takipte olun lütfen...

Where there is a will, there is a way... Beğenmek için anlamak lazım...

02.05.2012 23:14
68702      
bitzer

[2] Girişimci

Online Durumu

3 ileti
jeofizik müh.
ankara

Alıntı
ProhibiT :
Probleminiz şimdi anlaşıldı
Drawing dosyanıza Attach ettiğiniz Raster Image'in en-boy oranı (aspect Ratio) bozuk.
Aslında AutoCAD komutlarıyla Raster İmage'i edit ederek yapmak mümkün.
Aspect Ratio'yu düzelttikten sonra Move etmek yeterli.
Öyle 4 noktaya da gerek yok, 2 nokta ile her şey çözülür.
Bununla birlikte, pek çok arkadaşımızın işine yarayacağını düşünerek bir fonksiyon yazacağım.
Şu an biraz yoğunum, akşama yazıp paylaşmış olurum.
Takipte olun lütfen...

merakla bekliyorum

03.05.2012 06:37
68706      
ProhibiT

[80] Yetkili

Online Durumu

1471 ileti
İnşaat Mühendisi
Ankara

Matrix çarpımları için üşendim açıkçası bunun için 3 kez Transformation Matrix kullandım.
Kod:

;|===========================================================================|;
;| RsAL: Algining Raster Image to Real Coordinates                           |;
;| Seçilen Raster Image Objesi, 2 nokta seçilerek Align edilir.              |;
;| Image objesinin En/Boy oranı düzenlenir, gerçek koordinatına getirilir.   |;
;|          Hayırlayan: M. Şahin Güvercin - www.autocadokulu.com             |;
;|---------------------------------------------------------------------------|;
(defun c:RsAL (/ *error* Map p1 n1 p2 n2 VecX VecY)
  (setvar "cmdecho" 0) (command "_.undo" "group") (vl-load-com)
  (defun *error* (/ er) (princ (strcat "\n" er))
    (command "_.undo" "e") (setvar "cmdecho" 1) (prin1))
  (princ "\nKoordinatlarına getirilecek Raster Image...")
  (while (not (setq Map (ssget ":s" (list (cons 0 "Image"))))))
  (setq Map (ssname Map 0)
        p1 (getpoint "\nBirinci Noktayı tıklayarak seçiniz...")
        n1 (list (getreal "\nBirinci Nokta X koordinatı: ")
                 (getreal "\nBirinci Nokta Y koordinatı: ") 0.00)
        p2 (getpoint "\n İkinci Noktayı tıklayarak seçiniz...")
        n2 (list (getreal "\n İkinci Nokta X koordinatı: ")
                 (getreal "\n İkinci Nokta Y koordinatı: ") 0.00)
        VecX (/ (- (car n2) (car n1)) (- (car p2) (car p1)))
        VecY (/ (- (cadr n2) (cadr n1)) (- (cadr p2) (cadr p1))))
  (vla-transformby (vlax-ename->vla-object Map)
    (vlax-tmatrix (list (list 1 0 0 (- (car p1))) (list 0 1 0 (- (cadr p1)))
                        (list 0 0 1 0) (list 0 0 0 1))))
  (vla-transformby (vlax-ename->vla-object Map)
    (vlax-tmatrix (list (list VecX 0 0 0) (list 0 VecY 0 0)
                        (list 0 0 1 0) (list 0 0 0 1))))
  (vla-transformby (vlax-ename->vla-object Map)
    (vlax-tmatrix (list (list 1 0 0 (car n1)) (list 0 1 0 (cadr n1))
                        (list 0 0 1 0) (list 0 0 0 1))))
  (command "_.zoom" "Object" Map "")
  (command "_.undo" "e") (setvar "cmdecho" 1) (prin1))
Not: Seçilen iki nokta biribirine göre ortogonal (yatayda ya da düşeyde aynı hizada) olmamalıdır.

Where there is a will, there is a way... Beğenmek için anlamak lazım...

03.05.2012 16:02
68712      
bitzer

[2] Girişimci

Online Durumu

3 ileti
jeofizik müh.
ankara

Eline emeğine sağlık çok teşekkür ederim

19.06.2012 17:52
69190      
mertnur

[1] Yeni üye

Online Durumu

1 ileti
çizimci
istanbul

taranan bir belgeyi raster 2009 ile tif dosyası olarak açıyorum yalnız arka plan beyaz ve üzerinde herhangi bir değişiklik yapamıyorum.ne çizebiliyorum nede hatalı olan yerleri sillemiyorum.clenump dan touchup seçiyorum ama silemiyorum bana bu dosya biotanal diye birşey diyor.çizimi taradıktan sonra nasıl kaydetmem gerekir ve ondan sonra hangi işlemleri yaparsam rasteri kullanabilirm.bana bu konuda yardımcı olurmusunuz acil lütfen...

16.03.2016 12:23
83180      
ozerluleci

[2] Girişimci

Online Durumu

5 ileti
topoğraf
bursa

Alıntı
ProhibiT :
Matrix çarpımları için üşendim açıkçası bunun için 3 kez Transformation Matrix kullandım.
Kod:

;|===========================================================================|;
;| RsAL: Algining Raster Image to Real Coordinates                           |;
;| Seçilen Raster Image Objesi, 2 nokta seçilerek Align edilir.              |;
;| Image objesinin En/Boy oranı düzenlenir, gerçek koordinatına getirilir.   |;
;|          Hayırlayan: M. Şahin Güvercin - www.autocadokulu.com             |;
;|---------------------------------------------------------------------------|;
(defun c:RsAL (/ *error* Map p1 n1 p2 n2 VecX VecY)
  (setvar "cmdecho" 0) (command "_.undo" "group") (vl-load-com)
  (defun *error* (/ er) (princ (strcat "\n" er))
    (command "_.undo" "e") (setvar "cmdecho" 1) (prin1))
  (princ "\nKoordinatlarına getirilecek Raster Image...")
  (while (not (setq Map (ssget ":s" (list (cons 0 "Image"))))))
  (setq Map (ssname Map 0)
        p1 (getpoint "\nBirinci Noktayı tıklayarak seçiniz...")
        n1 (list (getreal "\nBirinci Nokta X koordinatı: ")
                 (getreal "\nBirinci Nokta Y koordinatı: ") 0.00)
        p2 (getpoint "\n İkinci Noktayı tıklayarak seçiniz...")
        n2 (list (getreal "\n İkinci Nokta X koordinatı: ")
                 (getreal "\n İkinci Nokta Y koordinatı: ") 0.00)
        VecX (/ (- (car n2) (car n1)) (- (car p2) (car p1)))
        VecY (/ (- (cadr n2) (cadr n1)) (- (cadr p2) (cadr p1))))
  (vla-transformby (vlax-ename->vla-object Map)
    (vlax-tmatrix (list (list 1 0 0 (- (car p1))) (list 0 1 0 (- (cadr p1)))
                        (list 0 0 1 0) (list 0 0 0 1))))
  (vla-transformby (vlax-ename->vla-object Map)
    (vlax-tmatrix (list (list VecX 0 0 0) (list 0 VecY 0 0)
                        (list 0 0 1 0) (list 0 0 0 1))))
  (vla-transformby (vlax-ename->vla-object Map)
    (vlax-tmatrix (list (list 1 0 0 (car n1)) (list 0 1 0 (cadr n1))
                        (list 0 0 1 0) (list 0 0 0 1))))
  (command "_.zoom" "Object" Map "")
  (command "_.undo" "e") (setvar "cmdecho" 1) (prin1))
Not: Seçilen iki nokta biribirine göre ortogonal (yatayda ya da düşeyde aynı hizada) olmamalıdır.

16.03.2016 12:28
83181      
ozerluleci

[2] Girişimci

Online Durumu

5 ileti
topoğraf
bursa

merhaba ustam çok güzel lisp yazmışınız işe yarıyo fakat 2 nokta ile hassas harita için yeterli değil. Bu lisp dosyasını 2 ile 10 noktaya arası işlem yapması için yenilermisiniz. Şimdiden teşekkürler.

05.01.2017 20:25
84466      
alisakalli

[2] Girişimci

Online Durumu

1 ileti
jeoloji mühendisi
ankara

merhaba arkadaslar ben yazılanlardan anlamadım bu sayısalastırmayı bir arkadasımız video cekip yukleyebilirmi? yada resimli bir anlatım yapablirmi

> 1 <
Copyright © 2004-2017 | Tüm Hakları Saklıdır | 1951 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam